import { isMacintosh, isLinux, isWindows, isWeb, isIOS } from "../../../base/common/platform.mjs";
import { localize } from "../../../nls.mjs";
import { RawContextKey } from "./contextkey.mjs";
new RawContextKey("isMac", isMacintosh, localize("isMac", "Whether the operating system is macOS"));
new RawContextKey("isLinux", isLinux, localize("isLinux", "Whether the operating system is Linux"));
const IsWindowsContext = new RawContextKey("isWindows", isWindows, localize("isWindows", "Whether the operating system is Windows"));
new RawContextKey("isWeb", isWeb, localize("isWeb", "Whether the platform is a web browser"));
new RawContextKey("isMacNative", isMacintosh && !isWeb, localize("isMacNative", "Whether the operating system is macOS on a non-browser platform"));
new RawContextKey("isIOS", isIOS, localize("isIOS", "Whether the operating system is iOS"));
new RawContextKey("isDevelopment", false, true);
const InputFocusedContextKey = "inputFocus";
new RawContextKey(InputFocusedContextKey, false, localize("inputFocus", "Whether keyboard focus is inside an input box"));
export {
  InputFocusedContextKey,
  IsWindowsContext
};
